import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '企业名称',
    align:"center",
    dataIndex: 'companyName'
   },
   {
    title: '企业地址',
    align:"center",
    dataIndex: 'companyAddress'
   },
   {
    title: '企业法人',
    align:"center",
    dataIndex: 'legalPerson'
   },
   {
    title: '社会统一信用代码',
    align:"center",
    dataIndex: 'socialCode'
   },
   {
    title: '工商营业执照',
    align:"center",
    dataIndex: 'businessLicense',
    customRender:render.renderAvatar,
   },
   {
    title: '审核状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId_dictText'
   },
   {
    title: '审核备注',
    align:"center",
    dataIndex: 'remark'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '企业名称',
    field: 'companyName',
    component: 'Input',
  },
  {
    label: '企业地址',
    field: 'companyAddress',
    component: 'Input',
  },
  {
    label: '企业法人',
    field: 'legalPerson',
    component: 'Input',
  },
  {
    label: '社会统一信用代码',
    field: 'socialCode',
    component: 'Input',
  },
  {
    label: '工商营业执照',
    field: 'businessLicense',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '审核状态',
    field: 'status',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"employ_status"
     },
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
  {
    label: '审核备注',
    field: 'remark',
    component: 'Input',
  },
];
