import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '关联证书id',
    align:"center",
    dataIndex: 'certId_dictText'
   },
   {
    title: '关联报名材料id',
    align:"center",
    dataIndex: 'materialId_dictText'
   },
   {
    title: '排序字段',
    align:"center",
    dataIndex: 'orderNo'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "关联证书id",
      field: "certId",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"employ_cert,name,id"
      },
      colProps: {span: 6},
 	},
	{
      label: "关联报名材料id",
      field: "materialId",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"employ_material,title,id"
      },
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '关联证书id',
    field: 'certId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"employ_cert,name,id"
     },
  },
  {
    label: '关联报名材料id',
    field: 'materialId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"employ_material,title,id"
     },
  },
  {
    label: '排序字段',
    field: 'orderNo',
    component: 'InputNumber',
  },
];
