import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '企业名称',
    align:"center",
    dataIndex: 'companyName'
   },
   {
    title: '企业图片',
    align:"center",
    dataIndex: 'image',
    customRender:render.renderAvatar,
   },
   {
    title: '营业执照',
    align:"center",
    dataIndex: 'license',
    customRender:render.renderAvatar,
   },
   {
    title: '企业人数',
    align:"center",
    dataIndex: 'number'
   },
   {
    title: '法人名称',
    align:"center",
    dataIndex: 'legalPerson'
   },
   {
    title: '企业地址',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '公司电话',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '统一社会信用代码',
    align:"center",
    dataIndex: 'socialCode'
   },
   {
    title: 'logo',
    align:"center",
    dataIndex: 'logo'
   },
   {
    title: '所属行业',
    align:"center",
    dataIndex: 'industry'
   },
   {
    title: '融资轮数',
    align:"center",
    dataIndex: 'financing'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "企业名称",
      field: "companyName",
      component: 'Input',
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '企业名称',
    field: 'companyName',
    component: 'Input',
  },
  {
    label: '企业图片',
    field: 'image',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '营业执照',
    field: 'license',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '企业人数',
    field: 'number',
    component: 'InputNumber',
  },
  {
    label: '法人名称',
    field: 'legalPerson',
    component: 'Input',
  },
  {
    label: '企业地址',
    field: 'address',
    component: 'Input',
  },
  {
    label: '公司电话',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '统一社会信用代码',
    field: 'socialCode',
    component: 'Input',
  },
  {
    label: 'logo',
    field: 'logo',
    component: 'Input',
  },
  {
    label: '所属行业',
    field: 'industry',
    component: 'Input',
  },
  {
    label: '融资轮数',
    field: 'financing',
    component: 'Input',
  },
];
