package org.jeecg.modules.employContract.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 电子合同表
 * @Author: jeecg-boot
 * @Date:   2024-12-21
 * @Version: V1.0
 */
@Data
@TableName("employ_contract")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="employ_contract对象", description="电子合同表")
public class EmployContract implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**合同文件*/
	@Excel(name = "合同文件", width = 15)
    @ApiModelProperty(value = "合同文件")
    private java.lang.String fileContract;
	/**公司签署*/
	@Excel(name = "公司签署", width = 15, dicCode = "contract_status")
	@Dict(dicCode = "contract_status")
    @ApiModelProperty(value = "公司签署")
    private java.lang.String signCompany;
	/**求职者签署*/
	@Excel(name = "求职者签署", width = 15, dicCode = "contract_status")
	@Dict(dicCode = "contract_status")
    @ApiModelProperty(value = "求职者签署")
    private java.lang.String signPerson;
	/**合同标题*/
	@Excel(name = "合同标题", width = 15)
    @ApiModelProperty(value = "合同标题")
    private java.lang.String title;
	/**合同甲方名称*/
	@Excel(name = "合同甲方名称", width = 15)
    @ApiModelProperty(value = "合同甲方名称")
    private java.lang.String nameA;
	/**合同乙方名称*/
	@Excel(name = "合同乙方名称", width = 15)
    @ApiModelProperty(value = "合同乙方名称")
    private java.lang.String nameB;
	/**关联招聘者id*/
	@Excel(name = "关联招聘者id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联招聘者id")
    private java.lang.String bossId;
	/**关联求职者id*/
	@Excel(name = "关联求职者id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联求职者id")
    private java.lang.String personId;
}
