import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '合同文件',
    align:"center",
    dataIndex: 'fileContract',
    slots: { customRender: 'fileSlot' },
   },
   {
    title: '公司签署',
    align:"center",
    dataIndex: 'signCompany_dictText'
   },
   {
    title: '求职者签署',
    align:"center",
    dataIndex: 'signPerson_dictText'
   },
   {
    title: '合同标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '合同甲方名称',
    align:"center",
    dataIndex: 'nameA'
   },
   {
    title: '合同乙方名称',
    align:"center",
    dataIndex: 'nameB'
   },
   {
    title: '关联招聘者id',
    align:"center",
    dataIndex: 'bossId_dictText'
   },
   {
    title: '关联求职者id',
    align:"center",
    dataIndex: 'personId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "公司签署",
      field: "signCompany",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"contract_status"
      },
      colProps: {span: 6},
 	},
	{
      label: "求职者签署",
      field: "signPerson",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"contract_status"
      },
      colProps: {span: 6},
 	},
	{
      label: "合同标题",
      field: "title",
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "合同甲方名称",
      field: "nameA",
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "合同乙方名称",
      field: "nameB",
      component: 'Input',
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '合同文件',
    field: 'fileContract',
    component: 'JUpload',
    componentProps:{
     },
  },
  {
    label: '公司签署',
    field: 'signCompany',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"contract_status"
     },
  },
  {
    label: '求职者签署',
    field: 'signPerson',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"contract_status"
     },
  },
  {
    label: '合同标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '合同甲方名称',
    field: 'nameA',
    component: 'Input',
  },
  {
    label: '合同乙方名称',
    field: 'nameB',
    component: 'Input',
  },
  {
    label: '关联招聘者id',
    field: 'bossId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
  {
    label: '关联求职者id',
    field: 'personId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
