package org.jeecg.modules.employJob.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.modules.hanHaiMember.entity.HanHaiMember;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 工作信息表
 * @Author: jeecg-boot
 * @Date:   2024-12-22
 * @Version: V1.0
 */
@Data
@TableName("employ_job")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="employ_job对象", description="工作信息表")
public class EmployJob implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**工作标题*/
	@Excel(name = "工作标题", width = 15)
    @ApiModelProperty(value = "工作标题")
    private java.lang.String title;
	/**工作地址*/
	@Excel(name = "工作地址", width = 15)
    @ApiModelProperty(value = "工作地址")
    private java.lang.String workAddress;
	/**工龄要求*/
	@Excel(name = "工龄要求", width = 15)
    @ApiModelProperty(value = "工龄要求")
    private java.lang.String workAge;
	/**学历要求*/
	@Excel(name = "学历要求", width = 15)
    @ApiModelProperty(value = "学历要求")
    private java.lang.String qulification;
	/**薪资下限*/
	@Excel(name = "薪资下限", width = 15)
    @ApiModelProperty(value = "薪资下限")
    private java.math.BigDecimal salaryLow;
	/**薪资上限*/
	@Excel(name = "薪资上限", width = 15)
    @ApiModelProperty(value = "薪资上限")
    private java.math.BigDecimal salaryUp;
	/**招聘者头像*/
	@Excel(name = "招聘者头像", width = 15)
    @ApiModelProperty(value = "招聘者头像")
    private java.lang.String headImage;
	/**招聘者姓名*/
	@Excel(name = "招聘者姓名", width = 15)
    @ApiModelProperty(value = "招聘者姓名")
    private java.lang.String name;
	/**招聘者职位*/
	@Excel(name = "招聘者职位", width = 15)
    @ApiModelProperty(value = "招聘者职位")
    private java.lang.String career;
	/**招聘者电话*/
	@Excel(name = "招聘者电话", width = 15)
    @ApiModelProperty(value = "招聘者电话")
    private java.lang.String phone;
	/**职位详情*/
	@Excel(name = "职位详情", width = 15)
    @ApiModelProperty(value = "职位详情")
    private java.lang.String workDetail;
	/**招聘公司名称*/
	@Excel(name = "招聘公司名称", width = 15, dictTable = "employ_company", dicText = "company_name", dicCode = "id")
	@Dict(dictTable = "employ_company", dicText = "company_name", dicCode = "id")
    @ApiModelProperty(value = "招聘公司名称")
    private java.lang.String company;
	/**标签*/
	@Excel(name = "标签", width = 15)
    @ApiModelProperty(value = "标签")
    private java.lang.String tab;
	/**工种类型*/
	@Excel(name = "工种类型", width = 15, dictTable = "employ_job_type", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_job_type", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "工种类型")
    private java.lang.String typeId;
	/**工作性质*/
	@Excel(name = "工作性质", width = 15, dictTable = "employ_nature", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_nature", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "工作性质")
    private java.lang.String natureId;
	/**关联用户id*/
	@Excel(name = "关联用户id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联用户id")
    private java.lang.String userId;
	/**关联区域id*/
	@Excel(name = "关联区域id", width = 15, dictTable = "employ_address", dicText = "adress", dicCode = "id")
	@Dict(dictTable = "employ_address", dicText = "adress", dicCode = "id")
    @ApiModelProperty(value = "关联区域id")
    private java.lang.String areaId;
	/**经度*/
	@Excel(name = "经度", width = 15)
    @ApiModelProperty(value = "经度")
    private java.math.BigDecimal longitude;
	/**纬度*/
	@Excel(name = "纬度", width = 15)
    @ApiModelProperty(value = "纬度")
    private java.math.BigDecimal latitude;

    //用户信息
    @TableField(exist = false)
    HanHaiMember hanHaiMember;
}
