import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '账本标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '账本类型',
    align:"center",
    dataIndex: 'type_dictText'
   },
   {
    title: '账本状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "账本标题",
      field: "title",
      component: 'Input',
      colProps: {span: 6},
 	},
	{
      label: "账本类型",
      field: "type",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"employ_notebook"
      },
      colProps: {span: 6},
 	},
	{
      label: "账本状态",
      field: "status",
      component: 'JDictSelectTag',
      componentProps:{
          dictCode:"notebook_status"
      },
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '账本标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '账本类型',
    field: 'type',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"employ_notebook"
     },
  },
  {
    label: '账本状态',
    field: 'status',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"notebook_status"
     },
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
];
