package org.jeecg.modules.employRedister.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 报名材料提交表
 * @Author: jeecg-boot
 * @Date:   2024-12-21
 * @Version: V1.0
 */
@Data
@TableName("employ_redister")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="employ_redister对象", description="报名材料提交表")
public class EmployRedister implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**1寸白底照片*/
	@Excel(name = "1寸白底照片", width = 15)
    @ApiModelProperty(value = "1寸白底照片")
    private java.lang.String imageHead1;
	/**2寸白底彩照*/
	@Excel(name = "2寸白底彩照", width = 15)
    @ApiModelProperty(value = "2寸白底彩照")
    private java.lang.String imageHead2;
	/**身份证正面照复印件*/
	@Excel(name = "身份证正面照复印件", width = 15)
    @ApiModelProperty(value = "身份证正面照复印件")
    private java.lang.String imageCardFront;
	/**身份证反面照复印件*/
	@Excel(name = "身份证反面照复印件", width = 15)
    @ApiModelProperty(value = "身份证反面照复印件")
    private java.lang.String imageCardfBack;
	/**学历证书*/
	@Excel(name = "学历证书", width = 15)
    @ApiModelProperty(value = "学历证书")
    private java.lang.String imageDiploma;
	/**操作证正面复印件*/
	@Excel(name = "操作证正面复印件", width = 15)
    @ApiModelProperty(value = "操作证正面复印件")
    private java.lang.String imageOperationFront;
	/**操作证反面复印件*/
	@Excel(name = "操作证反面复印件", width = 15)
    @ApiModelProperty(value = "操作证反面复印件")
    private java.lang.String imageOperationBack;
	/**申请表*/
	@Excel(name = "申请表", width = 15)
    @ApiModelProperty(value = "申请表")
    private java.lang.String imageApply;
	/**个人健康承诺书*/
	@Excel(name = "个人健康承诺书", width = 15)
    @ApiModelProperty(value = "个人健康承诺书")
    private java.lang.String imageHealth;
	/**营业执照复印件*/
	@Excel(name = "营业执照复印件", width = 15)
    @ApiModelProperty(value = "营业执照复印件")
    private java.lang.String imageBusiness;
	/**户口本本人页复印件*/
	@Excel(name = "户口本本人页复印件", width = 15)
    @ApiModelProperty(value = "户口本本人页复印件")
    private java.lang.String imageHousehold;
	/**健康码复印件*/
	@Excel(name = "健康码复印件", width = 15)
    @ApiModelProperty(value = "健康码复印件")
    private java.lang.String imageHealthcode;
	/**行程码复印件*/
	@Excel(name = "行程码复印件", width = 15)
    @ApiModelProperty(value = "行程码复印件")
    private java.lang.String imageRoutecode;
	/**头像*/
	@Excel(name = "头像", width = 15)
    @ApiModelProperty(value = "头像")
    private java.lang.String imageHead;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String name;
	/**联系电话*/
	@Excel(name = "联系电话", width = 15)
    @ApiModelProperty(value = "联系电话")
    private java.lang.String phone;
	/**身份证号*/
	@Excel(name = "身份证号", width = 15)
    @ApiModelProperty(value = "身份证号")
    private java.lang.String cerNo;
	/**工作单位*/
	@Excel(name = "工作单位", width = 15)
    @ApiModelProperty(value = "工作单位")
    private java.lang.String companyName;
	/**关联证书id*/
	@Excel(name = "关联证书id", width = 15, dictTable = "employ_cert", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_cert", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "关联证书id")
    private java.lang.String cerId;
	/**关联用户id*/
	@Excel(name = "关联用户id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联用户id")
    private java.lang.String userId;
}
