import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '1寸白底照片',
    align:"center",
    dataIndex: 'imageHead1',
    customRender:render.renderAvatar,
   },
   {
    title: '2寸白底彩照',
    align:"center",
    dataIndex: 'imageHead2',
    customRender:render.renderAvatar,
   },
   {
    title: '身份证正面照复印件',
    align:"center",
    dataIndex: 'imageCardFront',
    customRender:render.renderAvatar,
   },
   {
    title: '身份证反面照复印件',
    align:"center",
    dataIndex: 'imageCardfBack',
    customRender:render.renderAvatar,
   },
   {
    title: '学历证书',
    align:"center",
    dataIndex: 'imageDiploma',
    customRender:render.renderAvatar,
   },
   {
    title: '操作证正面复印件',
    align:"center",
    dataIndex: 'imageOperationFront',
    customRender:render.renderAvatar,
   },
   {
    title: '操作证反面复印件',
    align:"center",
    dataIndex: 'imageOperationBack',
    customRender:render.renderAvatar,
   },
   {
    title: '申请表',
    align:"center",
    dataIndex: 'imageApply',
    customRender:render.renderAvatar,
   },
   {
    title: '个人健康承诺书',
    align:"center",
    dataIndex: 'imageHealth',
    customRender:render.renderAvatar,
   },
   {
    title: '营业执照复印件',
    align:"center",
    dataIndex: 'imageBusiness',
    customRender:render.renderAvatar,
   },
   {
    title: '户口本本人页复印件',
    align:"center",
    dataIndex: 'imageHousehold',
    customRender:render.renderAvatar,
   },
   {
    title: '健康码复印件',
    align:"center",
    dataIndex: 'imageHealthcode',
    customRender:render.renderAvatar,
   },
   {
    title: '行程码复印件',
    align:"center",
    dataIndex: 'imageRoutecode',
    customRender:render.renderAvatar,
   },
   {
    title: '头像',
    align:"center",
    dataIndex: 'imageHead',
    customRender:render.renderAvatar,
   },
   {
    title: '姓名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '联系电话',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '身份证号',
    align:"center",
    dataIndex: 'cerNo'
   },
   {
    title: '工作单位',
    align:"center",
    dataIndex: 'companyName'
   },
   {
    title: '关联证书id',
    align:"center",
    dataIndex: 'cerId_dictText'
   },
   {
    title: '关联用户id',
    align:"center",
    dataIndex: 'userId_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "姓名",
      field: "name",
      component: 'Input',
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '1寸白底照片',
    field: 'imageHead1',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '2寸白底彩照',
    field: 'imageHead2',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '身份证正面照复印件',
    field: 'imageCardFront',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '身份证反面照复印件',
    field: 'imageCardfBack',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '学历证书',
    field: 'imageDiploma',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '操作证正面复印件',
    field: 'imageOperationFront',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '操作证反面复印件',
    field: 'imageOperationBack',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '申请表',
    field: 'imageApply',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '个人健康承诺书',
    field: 'imageHealth',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '营业执照复印件',
    field: 'imageBusiness',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '户口本本人页复印件',
    field: 'imageHousehold',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '健康码复印件',
    field: 'imageHealthcode',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '行程码复印件',
    field: 'imageRoutecode',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '头像',
    field: 'imageHead',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '姓名',
    field: 'name',
    component: 'Input',
  },
  {
    label: '联系电话',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '身份证号',
    field: 'cerNo',
    component: 'Input',
  },
  {
    label: '工作单位',
    field: 'companyName',
    component: 'Input',
  },
  {
    label: '关联证书id',
    field: 'cerId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"employ_cert,name,id"
    },
  },
  {
    label: '关联用户id',
    field: 'userId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"han_hai_member,nick_name,id"
    },
  },
];
