package org.jeecg.modules.employResume.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.modules.employAuthenticationPerson.entity.EmployAuthenticationPerson;
import org.jeecg.modules.hanHaiMember.entity.HanHaiMember;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 求职简历表
 * @Author: jeecg-boot
 * @Date:   2024-12-22
 * @Version: V1.0
 */
@Data
@TableName("employ_resume")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="employ_resume对象", description="求职简历表")
public class EmployResume implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**求职岗位*/
	@Excel(name = "求职岗位", width = 15)
    @ApiModelProperty(value = "求职岗位")
    private java.lang.String title;
	/**头像*/
	@Excel(name = "头像", width = 15)
    @ApiModelProperty(value = "头像")
    private java.lang.String headImage;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private java.lang.String name;
	/**性别*/
	@Excel(name = "性别", width = 15)
    @ApiModelProperty(value = "性别")
    private java.lang.String sex;
	/**年龄*/
	@Excel(name = "年龄", width = 15)
    @ApiModelProperty(value = "年龄")
    private java.lang.Integer age;
	/**学历*/
	@Excel(name = "学历", width = 15)
    @ApiModelProperty(value = "学历")
    private java.lang.String qualification;
	/**电话*/
	@Excel(name = "电话", width = 15)
    @ApiModelProperty(value = "电话")
    private java.lang.String phone;
	/**期望工作地*/
	@Excel(name = "期望工作地", width = 15, dictTable = "employ_address", dicText = "adress", dicCode = "id")
	@Dict(dictTable = "employ_address", dicText = "adress", dicCode = "id")
    @ApiModelProperty(value = "期望工作地")
    private java.lang.String expectAddress;
	/**民族*/
	@Excel(name = "民族", width = 15)
    @ApiModelProperty(value = "民族")
    private java.lang.String nation;
	/**工龄*/
	@Excel(name = "工龄", width = 15)
    @ApiModelProperty(value = "工龄")
    private java.lang.Integer workTime;
	/**ip归属地*/
	@Excel(name = "ip归属地", width = 15)
    @ApiModelProperty(value = "ip归属地")
    private java.lang.String ipAddress;
	/**个人介绍*/
	@Excel(name = "个人介绍", width = 15)
    @ApiModelProperty(value = "个人介绍")
    private java.lang.String brief;
	/**标签*/
	@Excel(name = "标签", width = 15)
    @ApiModelProperty(value = "标签")
    private java.lang.String tag;
	/**期望薪资下限*/
	@Excel(name = "期望薪资下限", width = 15)
    @ApiModelProperty(value = "期望薪资下限")
    private java.math.BigDecimal salaryLow;
	/**期望薪资上限*/
	@Excel(name = "期望薪资上限", width = 15)
    @ApiModelProperty(value = "期望薪资上限")
    private java.math.BigDecimal salaryUp;
	/**工种类型*/
	@Excel(name = "工种类型", width = 15, dictTable = "employ_job_type", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_job_type", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "工种类型")
    private java.lang.String typeId;
	/**工作性质*/
	@Excel(name = "工作性质", width = 15, dictTable = "employ_nature", dicText = "name", dicCode = "id")
	@Dict(dictTable = "employ_nature", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "工作性质")
    private java.lang.String natureId;
	/**关联用户id*/
	@Excel(name = "关联用户id", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "关联用户id")
    private java.lang.String userId;

    //用户信息
    @TableField(exist = false)
    HanHaiMember hanHaiMember;

    //实名信息
    @TableField(exist = false)
    EmployAuthenticationPerson employAuthenticationPerson;
}
