package org.jeecg.modules.employVipType.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 会员类型表
 * @Author: jeecg-boot
 * @Date:   2024-12-21
 * @Version: V1.0
 */
@Data
@TableName("employ_vip_type")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="employ_vip_type对象", description="会员类型表")
public class EmployVipType implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**会员名称*/
	@Excel(name = "会员名称", width = 15)
    @ApiModelProperty(value = "会员名称")
    private java.lang.String name;
	/**会员开通金额*/
	@Excel(name = "会员开通金额", width = 15)
    @ApiModelProperty(value = "会员开通金额")
    private java.math.BigDecimal price;
	/**充值类型*/
	@Excel(name = "充值类型", width = 15, dicCode = "employ_recharge")
	@Dict(dicCode = "employ_recharge")
    @ApiModelProperty(value = "充值类型")
    private java.lang.String recharge;
	/**专属特权*/
	@Excel(name = "专属特权", width = 15)
    @ApiModelProperty(value = "专属特权")
    private java.lang.String perquisite;
	/**会员类型*/
	@Excel(name = "会员类型", width = 15, dicCode = "employ_vip_type")
	@Dict(dicCode = "employ_vip_type")
    @ApiModelProperty(value = "会员类型")
    private java.lang.String type;
}
