package org.jeecg.modules.employWorkInfo.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 记工信息表
 * @Author: jeecg-boot
 * @Date:   2024-12-21
 * @Version: V1.0
 */
@Data
@TableName("employ_work_info")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="employ_work_info对象", description="记工信息表")
public class EmployWorkInfo implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**记工日期*/
	@Excel(name = "记工日期", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "记工日期")
    private java.util.Date workDate;
	/**工作类型*/
	@Excel(name = "工作类型", width = 15, dicCode = "work_type")
	@Dict(dicCode = "work_type")
    @ApiModelProperty(value = "工作类型")
    private java.lang.String type;
	/**上班时长*/
	@Excel(name = "上班时长", width = 15)
    @ApiModelProperty(value = "上班时长")
    private java.lang.String worktime;
	/**加班时长*/
	@Excel(name = "加班时长", width = 15)
    @ApiModelProperty(value = "加班时长")
    private java.lang.String overtime;
	/**工资*/
	@Excel(name = "工资", width = 15)
    @ApiModelProperty(value = "工资")
    private java.math.BigDecimal salary;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private java.lang.String remarks;
	/**关联账本id*/
	@Excel(name = "关联账本id", width = 15, dictTable = "employ_notebook", dicText = "title", dicCode = "id")
	@Dict(dictTable = "employ_notebook", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "关联账本id")
    private java.lang.String notebookId;
}
