package org.jeecg.modules.hanHaiMember.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.modules.employJob.entity.EmployJob;
import org.jeecg.modules.employResume.entity.EmployResume;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: han_hai_member
 * @Author: jeecg-boot
 * @Date:   2024-12-20
 * @Version: V1.0
 */
@Data
@TableName("han_hai_member")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="han_hai_member对象", description="han_hai_member")
public class HanHaiMember implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**昵称*/
	@Excel(name = "昵称", width = 15)
    @ApiModelProperty(value = "昵称")
    private java.lang.String nickName;
	/**用户头像*/
	@Excel(name = "用户头像", width = 15)
    @ApiModelProperty(value = "用户头像")
    private java.lang.String headImage;
	/**真实姓名*/
	@Excel(name = "真实姓名", width = 15)
    @ApiModelProperty(value = "真实姓名")
    private java.lang.String name;
	/**手机号码*/
	@Excel(name = "手机号码", width = 15)
    @ApiModelProperty(value = "手机号码")
    private java.lang.String phone;
	/**登录账号*/
	@Excel(name = "登录账号", width = 15)
    @ApiModelProperty(value = "登录账号")
    private java.lang.String account;
	/**登录密码*/
	@Excel(name = "登录密码", width = 15)
    @ApiModelProperty(value = "登录密码")
    private java.lang.String password;
	/**登录盐*/
	@Excel(name = "登录盐", width = 15)
    @ApiModelProperty(value = "登录盐")
    private java.lang.String passwordSalt;
	/**店铺名称备注*/
	@Excel(name = "店铺名称备注", width = 15)
    @ApiModelProperty(value = "店铺名称备注")
    private java.lang.String shopName;
	/**角色*/
	@Excel(name = "角色", width = 15)
    @ApiModelProperty(value = "角色")
    private java.lang.String role;
	/**ID标识号码*/
	@Excel(name = "ID标识号码", width = 15)
    @ApiModelProperty(value = "ID标识号码")
    private java.lang.String cardId;
	/**是否冻结*/
	@Excel(name = "是否冻结", width = 15)
    @ApiModelProperty(value = "是否冻结")
    private java.lang.String frozenFlag;
	/**是否删除*/
	@Excel(name = "是否删除", width = 15)
    @ApiModelProperty(value = "是否删除")
    private java.lang.String deleteFlag;
	/**登录TOEKN*/
	@Excel(name = "登录TOEKN", width = 15)
    @ApiModelProperty(value = "登录TOEKN")
    private java.lang.String token;
	/**公众号openid*/
	@Excel(name = "公众号openid", width = 15)
    @ApiModelProperty(value = "公众号openid")
    private java.lang.String officialOpenid;
	/**小程序标识*/
	@Excel(name = "小程序标识", width = 15)
    @ApiModelProperty(value = "小程序标识")
    private java.lang.String appletOpenid;
	/**APP标识*/
	@Excel(name = "APP标识", width = 15)
    @ApiModelProperty(value = "APP标识")
    private java.lang.String appOpenid;
	/**微信UNIONID*/
	@Excel(name = "微信UNIONID", width = 15)
    @ApiModelProperty(value = "微信UNIONID")
    private java.lang.String wxUnionid;
	/**公众号appid*/
	@Excel(name = "公众号appid", width = 15)
    @ApiModelProperty(value = "公众号appid")
    private java.lang.String officialAppid;
	/**身份证号码*/
	@Excel(name = "身份证号码", width = 15)
    @ApiModelProperty(value = "身份证号码")
    private java.lang.String idCard;
	/**发薪平台密码*/
	@Excel(name = "发薪平台密码", width = 15)
    @ApiModelProperty(value = "发薪平台密码")
    private java.lang.String idCardPassword;
	/**发薪平台加密盐*/
	@Excel(name = "发薪平台加密盐", width = 15)
    @ApiModelProperty(value = "发薪平台加密盐")
    private java.lang.String idCardSalt;
	/**是否实名认证*/
	@Excel(name = "是否实名认证", width = 15)
    @ApiModelProperty(value = "是否实名认证")
    private java.lang.String idCardOpen;
	/**intentionNum*/
	@Excel(name = "intentionNum", width = 15)
    @ApiModelProperty(value = "intentionNum")
    private java.lang.Integer intentionNum;
	/**successNum*/
	@Excel(name = "successNum", width = 15)
    @ApiModelProperty(value = "successNum")
    private java.lang.Integer successNum;
	/**addNum*/
	@Excel(name = "addNum", width = 15)
    @ApiModelProperty(value = "addNum")
    private java.lang.Integer addNum;
	/**shareId*/
	@Excel(name = "shareId", width = 15)
    @ApiModelProperty(value = "shareId")
    private java.lang.String shareId;
	/**邀请人*/
	@Excel(name = "邀请人", width = 15)
    @ApiModelProperty(value = "邀请人")
    private java.lang.String vid;
	/**邀请时间*/
	@Excel(name = "邀请时间", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "邀请时间")
    private java.util.Date vtime;
	/**兼兼街会员*/
	@Excel(name = "兼兼街会员", width = 15)
    @ApiModelProperty(value = "兼兼街会员")
    private java.lang.Integer isPay;
	/**是否关注公众号*/
	@Excel(name = "是否关注公众号", width = 15)
    @ApiModelProperty(value = "是否关注公众号")
    private java.lang.Integer follow;
	/**payRole*/
	@Excel(name = "payRole", width = 15)
    @ApiModelProperty(value = "payRole")
    private java.math.BigDecimal payRole;
	/**余额*/
	@Excel(name = "余额", width = 15)
    @ApiModelProperty(value = "余额")
    private java.math.BigDecimal price;
	/**积分*/
	@Excel(name = "积分", width = 15)
    @ApiModelProperty(value = "积分")
    private java.math.BigDecimal integerPrice;
	/**小程序appid*/
	@Excel(name = "小程序appid", width = 15)
    @ApiModelProperty(value = "小程序appid")
    private java.lang.String appletAppid;
	/**性别*/
	@Excel(name = "性别", width = 15)
    @ApiModelProperty(value = "性别")
    private java.lang.String sex;
	/**是否分销商*/
	@Excel(name = "是否分销商", width = 15)
    @ApiModelProperty(value = "是否分销商")
    private java.lang.String isDai;

    //工作信息
    @TableField(exist = false)
    List<EmployJob> employJobList;

    //简历信息
    @TableField(exist = false)
    EmployResume employResume;
}
