package org.jeecg.modules.api.controller2;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiService.CheckService;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="查看记录相关接口")
@RestController
@RequestMapping("/employ/check")
@Slf4j
public class CheckController {


    /******************************************************************************************************************/
    //查看记录信息
    @Resource
    private CheckService checkService;
    /******************************************************************************************************************/

    //会员中心-联系记录-我看过谁(我的招工)
    @ApiOperation(value="会员中心-联系记录-我看过谁", notes="会员中心-联系记录-我看过谁")
    @RequestMapping(value = "/queryWatchWhoBoss", method = {RequestMethod.GET})
    public Result<?> queryWatchWhoBoss(@RequestHeader("X-Access-Token") String token, PageBean pageBean){
        return checkService.queryWatchWhoBoss(token, pageBean);
    }

    //会员中心-联系记录-谁看过我(谁看过我的招工)
    @ApiOperation(value="会员中心-联系记录-谁看过我(谁看过我的招工)", notes="会员中心-联系记录-谁看过我(谁看过我的招工)")
    @RequestMapping(value = "/queryWatchMeBoss", method = {RequestMethod.GET})
    public Result<?> queryWatchMeBoss(@RequestHeader("X-Access-Token") String token, PageBean pageBean){
        return checkService.queryWatchMeBoss(token, pageBean);
    }

    //会员中心-联系记录-我看过谁
    @ApiOperation(value="会员中心-联系记录-我看过谁", notes="会员中心-联系记录-我看过谁")
    @RequestMapping(value = "/queryWatchWhoEmployee", method = {RequestMethod.GET})
    public Result<?> queryWatchWhoEmployee(@RequestHeader("X-Access-Token") String token, PageBean pageBean){
        return checkService.queryWatchWhoEmployee(token, pageBean);
    }

    //会员中心-联系记录-我看过谁
    @ApiOperation(value="会员中心-联系记录-谁看过我(谁看过我的简历)", notes="会员中心-联系记录-谁看过我(谁看过我的简历)")
    @RequestMapping(value = "/queryWatchMeEmployee", method = {RequestMethod.GET})
    public Result<?> queryWatchMeEmployee(@RequestHeader("X-Access-Token") String token, PageBean pageBean){
        return checkService.queryWatchMeEmployee(token, pageBean);
    }


}
