package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.employAhthenticationCompany.entity.EmployAhthenticationCompany;
import org.jeecg.modules.employAuthenticationPerson.entity.EmployAuthenticationPerson;
import org.springframework.web.bind.annotation.RequestHeader;

public interface AuthenticationService {

    /**
     * 我的服务-个人实名认证
     * @param token
     * @param employAuthenticationPerson
     * @return
     */
    public Result<?> addAuthenticationPerson(@RequestHeader("X-Access-Token") String token, EmployAuthenticationPerson employAuthenticationPerson);

    //lzx:我的服务-查询实名认证信息
    public Result<?> getAuthenticationPerson(@RequestHeader("X-Access-Token") String token);


    /**
     * 我的服务-企业实名认证
     * @param token
     * @param employAhthenticationCompany
     * @return
     */
    public Result<?> addAuthenticationCompany(@RequestHeader("X-Access-Token") String token, EmployAhthenticationCompany employAhthenticationCompany);

    /**
     * 我的服务-查询企业实名认证信息
     * @param token
     * @return
     */
    public Result<?> getAuthenticationCompany(String token);

}
