package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employJob.entity.EmployJob;
import org.springframework.web.bind.annotation.RequestHeader;

public interface JobService {

    /**
     * 查询工作信息列表
     * @param employJob
     * @param pageBean
     * @return
     */
    public Result<?> queryJobList(EmployJob employJob, PageBean pageBean);

    /**
     * 根据id查看工作详情
     * @param token
     * @param jobId
     * @return
     */
    public Result<?> queryJobById(String token, String jobId);

    /**
     * 会员中心-我的招工
     * @param token
     * @param pageBean
     * @return
     */
    public Result<?> queryJobListByUserId(@RequestHeader("X-Access-Token")String token, PageBean pageBean);

    /**
     * 添加工作信息
     * @param token
     * @param employJob
     * @return
     */
    public Result<?> addJob(String token, EmployJob employJob);

    /**
     * 修改工作信息
     * @param token
     * @param employJob
     * @return
     */
    public Result<?> updateJob(String token, EmployJob employJob);

}
