package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.employJob.entity.EmployJob;
import org.jeecg.modules.employResume.entity.EmployResume;
import org.springframework.web.bind.annotation.RequestHeader;

public interface ResumeService {

    /**
     * 查询简历信息列表
     * @param employResume
     * @param pageBean
     * @return
     */
    public Result<?> queryResumeList(EmployResume employResume, PageBean pageBean);

    /**
     * 根据id查看简历详情
     * @param token
     * @param resumeId
     * @return
     */
    public Result<?> queryResumeById(String token, String resumeId);

    /**
     * 会员中心-我的简历
     * @param token
     * @param pageBean
     * @return
     */
    public Result<?> queryResumeByUserId(@RequestHeader("X-Access-Token") String token, PageBean pageBean);

    /**
     * 添加简历信息
     * @param token
     * @param employResume
     * @return
     */
    public Result<?> addResume(String token, EmployResume employResume);

    /**
     * 修改简历信息
     * @param token
     * @param employResume
     * @return
     */
    public Result<?> updateResume(String token, EmployResume employResume);

}
